package de.hamster.editor.view;

import java.awt.Component;

import javax.swing.JTree;
import javax.swing.tree.DefaultTreeCellRenderer;

import de.hamster.model.HamsterFile;
import de.hamster.workbench.Utils;

/**
 * @author Daniel
 */
public class FileTreeCellRenderer extends DefaultTreeCellRenderer {
	public Component getTreeCellRendererComponent(JTree tree, Object value,
			boolean sel, boolean expanded, boolean leaf, int row,
			boolean hasFocus) {

		super.getTreeCellRendererComponent(tree, value, sel, expanded, leaf,
				row, hasFocus);
		if (leaf) {
			HamsterFile file = ((FileTreeNode) value).getHamsterFile();
			if(file.getType() == HamsterFile.HAMSTERCLASS)
				setIcon(Utils.getIcon("HamsterClass16.gif"));
			else if(file.getType() == HamsterFile.IMPERATIVE)
				setIcon(Utils.getIcon("IHamster16.gif"));
			else if(file.getType() == HamsterFile.OBJECT)
				setIcon(Utils.getIcon("OOHamster16.gif"));
			else if(file.getType() == HamsterFile.SCHEMEPROGRAM) // Martin
				setIcon(Utils.getIcon("SchemeHamster16.gif"));
		}
		return this;
	}
}
